Skip to main content
GET
List wallets

Authorizations

Authorization
string
header
required

Token from POST /auth/token

Query Parameters

limit
integer<int32>
cursor
string

Opaque cursor from nextCursor on the previous page.

customerId
string

Scope to a customer. cst_ prefix.

type
enum<string>

Filter by wallet type. An empty value is treated as omitted. noncustodial currently returns an empty list. Public wallet variants accepted by the top-level wallet list filter.

Available options:
custodial,
noncustodial,
fiat

Free-text search. Matches wallet id or on-chain address.

q
string

Alias for search.

Response

200 - application/json

The request has succeeded.

Canonical paginated envelope for the top-level wallet list.

object
enum<string>
required
Available options:
list
data
object[]
required
hasMore
boolean
required
nextCursor
string | null